From 2c5a837b87bbb17c4694db517f99611561afa1e1 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@vondra.me>
Date: Tue, 1 Apr 2025 20:07:05 +0200
Subject: [PATCH v19 3/8] review

---
 configure                      |  2 +-
 configure.ac                   |  2 +-
 doc/src/sgml/installation.sgml | 11 ++++++-----
 src/include/port/pg_numa.h     |  1 -
 src/port/pg_numa.c             |  4 ++++
 5 files changed, 12 insertions(+), 8 deletions(-)

diff --git a/configure b/configure
index bc195975c2e..b36d66aa3eb 100755
--- a/configure
+++ b/configure
@@ -1594,7 +1594,7 @@ Optional Packages:
   --with-uuid=LIB         build contrib/uuid-ossp using LIB (bsd,e2fs,ossp)
   --with-ossp-uuid        obsolete spelling of --with-uuid=ossp
   --with-libcurl          build with libcurl support
-  --with-libnuma          build with libnuma for NUMA awareness
+  --with-libnuma          build with libnuma support
   --with-libxml           build with XML support
   --with-libxslt          use XSLT support when building contrib/xml2
   --with-system-tzdata=DIR
diff --git a/configure.ac b/configure.ac
index 064dfee5ad0..fc8b91afeb1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1057,7 +1057,7 @@ fi
 # libnuma
 #
 AC_MSG_CHECKING([whether to build with libnuma support])
-PGAC_ARG_BOOL(with, libnuma, no, [build with libnuma for NUMA awareness],
+PGAC_ARG_BOOL(with, libnuma, no, [build with libnuma support],
               [AC_DEFINE([USE_LIBNUMA], 1, [Define to build with NUMA awareness support. (--with-libnuma)])])
 AC_MSG_RESULT([$with_libnuma])
 AC_SUBST(with_libnuma)
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 5f0486bb335..1a3f9a0c3ac 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -1160,8 +1160,9 @@ build-postgresql:
        <term><option>--with-libnuma</option></term>
        <listitem>
         <para>
-         Build with libnuma support for basic NUMA support.
-         Only supported on platforms for which the libnuma library is implemented.
+         Build with libnuma support for basic <acronym>NUMA</acronym> support.
+         Only supported on platforms for which the <productname>libnuma</productname>
+         library is implemented.
         </para>
        </listitem>
       </varlistentry>
@@ -2659,9 +2660,9 @@ ninja install
       <term><option>-Dlibnuma={ auto | enabled | disabled }</option></term>
       <listitem>
        <para>
-        Build with libnuma support for basic NUMA support.
-        Only supported on platforms for which the libnuma library is implemented.
-        The default for this option is auto.
+        Build with libnuma support for basic <acronym>NUMA</acronym> support.
+        Only supported on platforms for which the <productname>libnuma</productname>
+        library is implemented. The default for this option is auto.
        </para>
       </listitem>
      </varlistentry>
diff --git a/src/include/port/pg_numa.h b/src/include/port/pg_numa.h
index 2fa0bc82a90..314cff94dbc 100644
--- a/src/include/port/pg_numa.h
+++ b/src/include/port/pg_numa.h
@@ -20,7 +20,6 @@ extern PGDLLIMPORT int pg_numa_init(void);
 extern PGDLLIMPORT int pg_numa_query_pages(int pid, unsigned long count, void **pages, int *status);
 extern PGDLLIMPORT int pg_numa_get_max_node(void);
 extern PGDLLIMPORT Size pg_numa_get_pagesize(void);
-extern PGDLLIMPORT Datum pg_numa_available(PG_FUNCTION_ARGS);
 
 #ifdef USE_LIBNUMA
 
diff --git a/src/port/pg_numa.c b/src/port/pg_numa.c
index 22b3f6a1781..8c234c263be 100644
--- a/src/port/pg_numa.c
+++ b/src/port/pg_numa.c
@@ -36,6 +36,8 @@
 #include <numa.h>
 #include <numaif.h>
 
+Datum pg_numa_available(PG_FUNCTION_ARGS);
+
 /* libnuma requires initialization as per numa(3) on Linux */
 int
 pg_numa_init(void)
@@ -59,6 +61,8 @@ pg_numa_get_max_node(void)
 
 #else
 
+Datum pg_numa_available(PG_FUNCTION_ARGS);
+
 /* Empty wrappers */
 int
 pg_numa_init(void)
-- 
2.49.0

